# $Revision: 1.10.4.1 $, $Date: 2007/03/09 12:42:32 $
Summary:	DirectFBSee - an image viewer and video player for the Linux framebuffer
Summary(pl):	DirectFBSee - przegldarka obrazkw i filmw dla linuksowego framebuffera
Name:		DFBSee
Version:	0.7.4
Release:	5
License:	GPL
Group:		Applications/Graphics
Source0:	http://www.directfb.org/download/DFBSee/%{name}-%{version}.tar.gz
# Source0-md5:	3320a976457d3b3e9eaef530fdf56b37
Patch0:		%{name}-API-fix.patch
URL:		http://www.directfb.org/index.php?path=Development/Projects/DFBSee
BuildRequires:	DirectFB-devel >= 0.9.15
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pkgconfig
Requires:	DirectFB-font-ft2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DirectFBSee is an image viewer and video player for the Linux
framebuffer. dfbsee opens the specified file and tries the image and
video providers available with DirectFB. At the moment these are PNG,
JPEG, GIF and MPEG or a Video4Linux video device.

%description -l pl
DirectFBSee to przegldarka obrazkw i filmw dla linuksowego
framebuffera. dfbsee otwiera podany plik i prbuje dostpnych moduw
dostarczajcych grafik i obraz DirectFB. Aktualnie s to PNG, JPEG,
GIF oraz MPEG lub urzdzenie Video4Linux.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: DFBSee.spec,v $
Revision 1.10.4.1  2007/03/09 12:42:32  hawk
- release 5 (DirectFB 1.0.0 rebuild)

Revision 1.10  2006/04/06 11:23:37  hawk
- compilation fix from DirectFB CVS
- release 4

Revision 1.9  2006/04/05 23:51:52  hawk
- release 3 (rebuild with new DirectFB)

Revision 1.8  2005/10/23 17:08:05  qboosh
- more specific URL

Revision 1.7  2005/06/06 21:22:05  zbyniu
- BR: pkgconfig

Revision 1.6  2004/08/11 18:54:57  qboosh
- BR: automake

Revision 1.5  2004/08/09 21:36:33  averne
- refresh config.sub
- rel 2

Revision 1.4  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.3  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/12/18 20:02:29  qboosh
- new
